#pragma once

#include <array>
#include <span>
#include "volume_definition.h"

namespace part_2_defs
{
    using namespace std::string_view_literals;

    constexpr std::array vol_1 = std::to_array<volume_definition>({
{ volume::P2V1, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P2V1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::FB2, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P2V1, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P2V1, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P2V1, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P2V1, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true }, /* Served pizza */
{ volume::P2V1, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P2V1, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P2V1, "Text/chapter01.xhtml"sv, "application/xhtml+xml"sv, "Attendants and the Fealty Ceremony"sv, true },
{ volume::P2V1, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter01_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter02.xhtml"sv, "application/xhtml+xml"sv, "A Shrine Maiden’s Job"sv, true },
{ volume::P2V1, "Text/chapter03.xhtml"sv, "application/xhtml+xml"sv, "Not Like the Other Blue Robes"sv, true },
{ volume::P2V1, "Text/chapter04.xhtml"sv, "application/xhtml+xml"sv, "Benno’s Meeting With the High Priest"sv, true },
{ volume::P2V1, "Text/chapter05.xhtml"sv, "application/xhtml+xml"sv, "The Meeting Begins"sv, true },
{ volume::P2V1, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter05_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::M2V1, "xhtml/p-186.xhtml"sv, "application/xhtml+xml"sv, "Story: Fran and the Commoner Apprentice Blue Shrine Maiden"sv, true },
{ volume::M2V1, "xhtml/p-187.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V1, "xhtml/p-188.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V1, "xhtml/p-189.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V1, "xhtml/p-190.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V1, "xhtml/p-191.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V1, "xhtml/p-192.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V1, "xhtml/p-193.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V1, "xhtml/p-194.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V1, "xhtml/p-195.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::M2V1, "image/i-186.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V1, "image/i-187.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V1, "image/i-188.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V1, "image/i-189.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V1, "image/i-190.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V1, "image/i-191.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V1, "image/i-192.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V1, "image/i-193.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V1, "image/i-194.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V1, "image/i-195.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V1, "style/fixed-layout.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P2V1, "Text/chapter06.xhtml"sv, "application/xhtml+xml"sv, "Buying Secondhand Clothes"sv, true },
{ volume::P2V1, "Text/extra1.xhtml"sv, "application/xhtml+xml"sv, "A Place Still Far From Here"sv, true },
{ volume::P2V1, "Text/chapter07.xhtml"sv, "application/xhtml+xml"sv, "The Animosity of Lutz and Gil"sv, true },
{ volume::P2V1, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter07_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter08.xhtml"sv, "application/xhtml+xml"sv, "What They Deserve"sv, true },
{ volume::P2V1, "Text/chapter09.xhtml"sv, "application/xhtml+xml"sv, "First Time Outside"sv, true },
{ volume::P2V1, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Training the Chefs"sv, true },
{ volume::P2V1, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Delia’s Job"sv, true },
{ volume::P2V1, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "The Reality of the Orphanage"sv, true },
{ volume::P2V1, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Discussion With the High Priest and My Resolve"sv, true },
//{ volume::M2V2, "xhtml/p-169.xhtml"sv, "application/xhtml+xml"sv, "Story: The Other Side of the Orphanage Incident"sv, true },
{ volume::M2V2, "xhtml/p-170.xhtml"sv, "application/xhtml+xml"sv, "Story: The Other Side of the Orphanage Incident"sv, true },
{ volume::M2V2, "xhtml/p-171.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-172.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-173.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-174.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-175.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-176.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-177.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
//{ volume::M2V2, "image/i-169.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-170.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-171.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-172.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-173.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-174.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-175.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-176.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-177.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "style/fixed-layout.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P2V1, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Secret Talk With the High Priest"sv, true },
{ volume::P2V1, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter14_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-161.xhtml"sv, "application/xhtml+xml"sv, "Extra: Sister Myne and Me"sv, true },
{ volume::M2V2, "xhtml/p-162.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-163.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-164.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-165.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-166.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-167.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "xhtml/p-168.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V2, "image/i-161.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-162.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-163.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-164.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-165.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-166.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-167.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V2, "image/i-168.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Cleaning Up the Orphanage"sv, true },
{ volume::P2V1, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Ideas for New Products"sv, true },
{ volume::P2V1, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/extra2.xhtml"sv, "application/xhtml+xml"sv, "An Attendant’s Self-Awareness"sv, true },
{ volume::P2V1, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Diptychs and Cards"sv, true },
{ volume::P2V1, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Preparing for the Star Festival"sv, true },
//{ volume::M2V3, "xhtml/p-161.xhtml"sv, "application/xhtml+xml"sv, "Extra: Ordering Ceremonial Robes"sv, true },
//{ volume::M2V3, "xhtml/p-162.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-163.xhtml"sv, "application/xhtml+xml"sv, "Extra: Ordering Ceremonial Robes"sv, true },
{ volume::M2V3, "xhtml/p-164.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-165.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-166.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-167.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-168.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-169.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-170.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
//{ volume::M2V3, "image/i-161.jpg"sv, "image/jpeg"sv, std::nullopt, false },
//{ volume::M2V3, "image/i-162.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-163.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-164.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-165.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-166.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-167.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-168.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-169.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-170.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "style/fixed-layout.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P2V1, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "The Star Festival"sv, true },
{ volume::P2V1, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter19_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
//{ volume::M2V3, "xhtml/p-171.xhtml"sv, "application/xhtml+xml"sv, "Story: Gathering Taues"sv, true },
{ volume::M2V3, "xhtml/p-172.xhtml"sv, "application/xhtml+xml"sv, "Story: Gathering Taues"sv, true },
{ volume::M2V3, "xhtml/p-173.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-174.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-175.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-176.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-177.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-178.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V3, "xhtml/p-179.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
//{ volume::M2V3, "image/i-171.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-172.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-173.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-174.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-175.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-176.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-177.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-178.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V3, "image/i-179.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V1, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "After the Festival"sv, true },

{ volume::P2V1, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "Lutz’s Path Through Life"sv, true },
{ volume::P2V1, "Text/chapter22.xhtml"sv, "application/xhtml+xml"sv, "Lutz Running Away from Home"sv, true },
{ volume::P2V1, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter22_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
//{ volume::M2V4, "xhtml/p-157.xhtml"sv, "application/xhtml+xml"sv, "Story: This Thing Called Family"sv, true },
{ volume::M2V4, "xhtml/p-158.xhtml"sv, "application/xhtml+xml"sv, "Story: This Thing Called Family"sv, true },
{ volume::M2V4, "xhtml/p-159.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V4, "xhtml/p-160.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V4, "xhtml/p-161.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V4, "xhtml/p-162.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V4, "xhtml/p-163.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V4, "xhtml/p-164.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V4, "xhtml/p-165.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V4, "xhtml/p-166.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
//{ volume::M2V4, "xhtml/p-167.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
//{ volume::M2V4, "image/i-157.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V4, "image/i-158.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V4, "image/i-159.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V4, "image/i-160.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V4, "image/i-161.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V4, "image/i-162.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V4, "image/i-163.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V4, "image/i-164.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V4, "image/i-165.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V4, "image/i-166.jpg"sv, "image/jpeg"sv, std::nullopt, false },
//{ volume::M2V4, "image/i-167.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V4, "style/fixed-layout.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P2V1, "Text/chapter23.xhtml"sv, "application/xhtml+xml"sv, "The High Priest’s Letter of Invitation"sv, true },
{ volume::P2V1, "Text/chapter24.xhtml"sv, "application/xhtml+xml"sv, "Family Meeting at the Temple"sv, true },
{ volume::P2V1, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/chapter24_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },

{ volume::SSC1, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Gunther — I’m Not Givin’ Up My Daughter!"sv, true },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P2V1, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },

{ volume::UFTSS1, "text/13.xhtml"sv, "application/xhtml+xml"sv, "TOBooks Manga"sv, true }, // After the festival
{ volume::UFTSS1, "images/P2V4_Tobooks_Manga.png"sv, "image/png"sv, std::nullopt, false },
{ volume::UFTSS1, "styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::UFTSS1, "text/14.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true }, // Family Meeting at the Temple
{ volume::UFTSS1, "images/P2V5_Tobooks_Manga.png"sv, "image/png"sv, std::nullopt, false },

{ volume::P2V1, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P2V1, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V1, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P2V1, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });


constexpr std::array vol_2 = std::to_array<volume_definition>({
{ volume::P2V2, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P2V2, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::FB2, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P2V2, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V2, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P2V2, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P2V2, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P2V2, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P2V2, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P2V2, "Text/chapter01.xhtml"sv, "application/xhtml+xml"sv, "One Wilma, Please"sv, true },
{ volume::P2V2, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter01_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter02.xhtml"sv, "application/xhtml+xml"sv, "Rosina and Harspiels"sv, true },
{ volume::P2V2, "Text/chapter03.xhtml"sv, "application/xhtml+xml"sv, "An Attendant’s Job"sv, true },

{ volume::P2V2, "Text/extra1.xhtml"sv, "application/xhtml+xml"sv, "The Attendant of an Apprentice Blue Shrine Maiden"sv, true },
{ volume::P2V2, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/extra1_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::SSC1, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Wilma — Servants of Sister Christine"sv, true },
{ volume::SSC1, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P2V2, "Text/chapter04.xhtml"sv, "application/xhtml+xml"sv, "The Italian Restaurant’s Interior Decoration"sv, true },
{ volume::P2V2, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter04_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter05.xhtml"sv, "application/xhtml+xml"sv, "How to Run a Restaurant"sv, true },
{ volume::P2V2, "Text/chapter06.xhtml"sv, "application/xhtml+xml"sv, "The Significance of Going Outside"sv, true },
{ volume::P2V2, "Text/chapter07.xhtml"sv, "application/xhtml+xml"sv, "Preparing to Make Ink"sv, true },
{ volume::P2V2, "Text/chapter08.xhtml"sv, "application/xhtml+xml"sv, "Black Oil Paint"sv, true },
{ volume::P2V2, "Text/chapter09.xhtml"sv, "application/xhtml+xml"sv, "Making Picture Books with Woodblock Printing"sv, true },
{ volume::P2V2, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Black-and-White Picture Books"sv, true },
//{ volume::M2V5, "xhtml/p-169.xhtml"sv, "application/xhtml+xml"sv, "Story: Preparing for the Baby"sv, true },
{ volume::M2V5, "xhtml/p-170.xhtml"sv, "application/xhtml+xml"sv, "Story: Preparing for the Baby"sv, true },
{ volume::M2V5, "xhtml/p-171.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V5, "xhtml/p-172.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V5, "xhtml/p-173.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V5, "xhtml/p-174.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V5, "xhtml/p-175.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V5, "xhtml/p-176.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V5, "xhtml/p-177.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V5, "xhtml/p-178.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
//{ volume::M2V5, "xhtml/p-179.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
//{ volume::M2V5, "image/i-169.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V5, "image/i-170.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V5, "image/i-171.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V5, "image/i-172.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V5, "image/i-173.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V5, "image/i-174.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V5, "image/i-175.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V5, "image/i-176.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V5, "image/i-177.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V5, "image/i-178.jpg"sv, "image/jpeg"sv, std::nullopt, false },
//{ volume::M2V5, "image/i-179.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V5, "style/fixed-layout.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P2V2, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Preparing for the Children’s Bible"sv, true },
{ volume::P2V2, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter11_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Binding Children’s Bibles"sv, true },
{ volume::P2V2, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Missing the Harvest Festival"sv, true },
{ volume::P2V2, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "The Myne Decimal System"sv, true },
/* M2V6 here */
{ volume::M2V6, "xhtml/p-180.xhtml"sv, "application/xhtml+xml"sv, "Story: Books and Karuta"sv, true },
{ volume::M2V6, "xhtml/p-181.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V6, "xhtml/p-182.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V6, "xhtml/p-183.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V6, "xhtml/p-184.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V6, "xhtml/p-185.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V6, "xhtml/p-186.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V6, "xhtml/p-187.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V6, "xhtml/p-188.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V6, "xhtml/p-189.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V6, "image/i-180.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V6, "image/i-181.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V6, "image/i-182.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V6, "image/i-183.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V6, "image/i-184.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V6, "image/i-185.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V6, "image/i-186.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V6, "image/i-187.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V6, "image/i-188.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V6, "image/i-189.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V6, "style/fixed-layout.css"sv, "text/css"sv, std::nullopt, false },

{ volume::FB2, "Text/side3.xhtml"sv, "application/xhtml+xml"sv, "My Handful of a Little Sister"sv, true },
{ volume::P2V2, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "A Book for Benno and First Fitting"sv, true },
{ volume::P2V2, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Cinderella and a Book for the High Priest"sv, true },
{ volume::P2V2, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "A Discussion About Winter Preparations"sv, true },
{ volume::P2V2, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Off to Buy Winter Clothes"sv, true },
{ volume::P2V2, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter18_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::SSC1, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Tuuli — Studying Literature and Picture Books"sv, true },
{ volume::SSC1, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Text/chapter6_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::P2V2, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "Butchering and Absence"sv, true },
{ volume::P2V2, "Text/extra2.xhtml"sv, "application/xhtml+xml"sv, "Apprentice Chef in the Temple"sv, true },
{ volume::P2V2, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "The End of Winter Preparations"sv, true },
{ volume::P2V2, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "Summons from the Knight’s Order"sv, true },
{ volume::P2V2, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter21_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::M2V7, "style/fixed-layout.css"sv, "text/css"sv, std::nullopt, false },
{ volume::M2V7, "xhtml/p-162.xhtml"sv, "application/xhtml+xml"sv, "Story: My First Trombe Hunt"sv, true },
{ volume::M2V7, "xhtml/p-163.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-164.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-165.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-166.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-167.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-168.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-169.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-170.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-171.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-172.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "image/i-162.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-163.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-164.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-165.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-166.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-167.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-168.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-169.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-170.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-171.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-172.jpg"sv, "image/jpeg"sv, std::nullopt, false },


{ volume::P2V2, "Text/chapter22.xhtml"sv, "application/xhtml+xml"sv, "Trombe Extermination"sv, true },
{ volume::P2V2, "Text/chapter23.xhtml"sv, "application/xhtml+xml"sv, "Rescue and Reprimand"sv, true },

{ volume::M2V7, "xhtml/p-157.xhtml"sv, "application/xhtml+xml"sv, "Extra: Mental Image"sv, true },
{ volume::M2V7, "xhtml/p-158.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-159.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "xhtml/p-160.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::M2V7, "image/i-157.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-158.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-159.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::M2V7, "image/i-160.jpg"sv, "image/jpeg"sv, std::nullopt, false },


{ volume::P2V2, "Text/chapter24.xhtml"sv, "application/xhtml+xml"sv, "The Healing Ritual"sv, true },
{ volume::P2V2, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/chapter24_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P2V2, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/epilogue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },

{ volume::UFTSS1, "text/15.xhtml"sv, "application/xhtml+xml"sv, "TOBooks Manga"sv, true },
{ volume::UFTSS1, "images/P2V6_Tobooks_Manga.png"sv, "image/png"sv, std::nullopt, false },
{ volume::UFTSS1, "styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::UFTSS1, "text/16.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::UFTSS1, "images/P2V7_Tobooks_Manga.png"sv, "image/png"sv, std::nullopt, false },
{ volume::UFTSS1, "text/17.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::UFTSS1, "images/P2V8_Tobooks_Manga.png"sv, "image/png"sv, std::nullopt, false },

{ volume::P2V2, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P2V2, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V2, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P2V2, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });


    constexpr std::array vol_3 = std::to_array<volume_definition>({
{ volume::P2V3, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P2V3, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P2V4, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P2V3, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P2V3, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V3, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P2V3, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P2V3, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P2V3, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P2V3, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P2V3, "Text/chapter01.xhtml"sv, "application/xhtml+xml"sv, "Printing Guild"sv, true },
{ volume::P2V3, "Text/chapter02.xhtml"sv, "application/xhtml+xml"sv, "Johann’s Task"sv, true },
{ volume::P2V3, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter02_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::M2V8, /* CHAPTER */ "xhtml/p-162.xhtml", "application/xhtml+xml", "Story: Coming-of-Age Task", true },
{ volume::M2V8, /* CHAPTER */ "xhtml/p-163.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V8, /* CHAPTER */ "xhtml/p-164.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V8, /* CHAPTER */ "xhtml/p-165.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V8, /* CHAPTER */ "xhtml/p-166.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V8, /* CHAPTER */ "xhtml/p-167.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V8, /* CHAPTER */ "xhtml/p-168.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V8, /* CHAPTER */ "xhtml/p-169.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V8, /* CHAPTER */ "xhtml/p-170.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V8, /* CHAPTER */ "xhtml/p-171.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V8, /* CHAPTER */ "xhtml/p-172.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V8, /* IMAGE */ "image/i-162.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* IMAGE */ "image/i-163.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* IMAGE */ "image/i-164.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* IMAGE */ "image/i-165.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* IMAGE */ "image/i-166.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* IMAGE */ "image/i-167.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* IMAGE */ "image/i-168.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* IMAGE */ "image/i-169.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* IMAGE */ "image/i-170.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* IMAGE */ "image/i-171.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* IMAGE */ "image/i-172.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V8, /* STYLESHEET */ "style/fixed-layout.css", "text/css", std::nullopt, false },

{ volume::P2V3, "Text/chapter03.xhtml"sv, "application/xhtml+xml"sv, "The Ink Guild and the Beginning of Winter"sv, true },
{ volume::P2V3, "Text/chapter04.xhtml"sv, "application/xhtml+xml"sv, "Winter Hibernation and Handiwork"sv, true },
{ volume::P2V3, "Text/chapter05.xhtml"sv, "application/xhtml+xml"sv, "Meeting of the Minds"sv, true },
{ volume::P2V3, "Text/chapter06.xhtml"sv, "application/xhtml+xml"sv, "Punishment for the Knight’s Order and My Future"sv, true },
{ volume::P2V3, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter06_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter07.xhtml"sv, "application/xhtml+xml"sv, "Daily Winter Life"sv, true },

{ volume::M2V9, /* CHAPTER */ "xhtml/p-156.xhtml", "application/xhtml+xml", "Story: The Knight Who Came to the Temple", true },
{ volume::M2V9, /* CHAPTER */ "xhtml/p-157.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V9, /* CHAPTER */ "xhtml/p-158.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V9, /* CHAPTER */ "xhtml/p-159.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V9, /* CHAPTER */ "xhtml/p-160.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V9, /* CHAPTER */ "xhtml/p-161.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V9, /* CHAPTER */ "xhtml/p-162.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V9, /* CHAPTER */ "xhtml/p-163.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V9, /* CHAPTER */ "xhtml/p-164.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V9, /* CHAPTER */ "xhtml/p-165.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M2V9, /* IMAGE */ "image/i-156.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V9, /* IMAGE */ "image/i-157.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V9, /* IMAGE */ "image/i-158.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V9, /* IMAGE */ "image/i-159.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V9, /* IMAGE */ "image/i-160.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V9, /* IMAGE */ "image/i-161.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V9, /* IMAGE */ "image/i-162.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V9, /* IMAGE */ "image/i-163.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V9, /* IMAGE */ "image/i-164.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V9, /* IMAGE */ "image/i-165.jpg", "image/jpeg", std::nullopt, false },
{ volume::M2V9, /* STYLESHEET */ "style/fixed-layout.css", "text/css", std::nullopt, false },

{ volume::P2V3, "Text/chapter08.xhtml"sv, "application/xhtml+xml"sv, "The Dedication Ritual"sv, true },
{ volume::P2V3, "Text/chapter09.xhtml"sv, "application/xhtml+xml"sv, "Rosina’s Coming of Age Ceremony"sv, true },
{ volume::P2V3, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Rumtopf and Shoes"sv, true },
{ volume::P2V3, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Completion of the Metal Letter Types"sv, true },
{ volume::P2V3, "Text/extra2.xhtml"sv, "application/xhtml+xml"sv, "The Title of “Gutenberg”"sv, true },
{ volume::P2V3, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/extra2_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Temple Stay Extended"sv, true },
{ volume::P2V3, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/extra1.xhtml"sv, "application/xhtml+xml"sv, "Lunchtime in the Temple"sv, true },
{ volume::P2V3, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Preparing for the Spring Prayer"sv, true },
{ volume::P2V3, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Spring Prayer"sv, true },
{ volume::P2V3, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "An After-Meal Invitation"sv, true },
{ volume::P2V3, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Ambush"sv, true },
{ volume::P2V3, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "The Wild and Uncontrollable Blue Priest"sv, true },

{ volume::UFTSS1, "text/side9.xhtml"sv, "application/xhtml+xml"sv, "Intuition and Charm"sv, true }, // Sylvester
{ volume::UFTSS1, "styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P2V3, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Visit to the Orphanage and Workshop"sv, true },
{ volume::P2V3, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter18_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/extra8.xhtml"sv, "application/xhtml+xml"sv, "Leon—Sylvester Undercover"sv, true },
{ volume::P2V3, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "Talking with the High Priest and Returning Home"sv, true },
{ volume::P2V3, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "A New Member of the Family"sv, true },
{ volume::P2V3, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/chapter20_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P2V3, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P2V3, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P2V3, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V3, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P2V3, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });


constexpr std::array vol_4 = std::to_array<volume_definition>({
{ volume::P2V4, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P2V4, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::FB2, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::FB1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P2V4, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P2V4, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },

{ volume::P2V4, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P2V4, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P2V4, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true }, /* Using ring in temple corridor */
{ volume::P2V4, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P2V4, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P2V4, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P2V4, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Caring for Kamil"sv, true },
{ volume::P2V4, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "The Abandoned Child"sv, true },
{ volume::P2V4, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter2_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "What to Do About Dirk"sv, true },
{ volume::P2V4, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "The Ink Guild and Succession"sv, true },
{ volume::P2V4, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Researching Color-Making"sv, true },
{ volume::P2V4, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter5_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Challenging Wax Stencils"sv, true },
{ volume::P2V4, "Text/extra7.xhtml"sv, "application/xhtml+xml"sv, "Josef—Beruf Certification"sv, true },
{ volume::P2V4, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Delia’s Progress"sv, true },
{ volume::P2V4, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Both Sides of the Story"sv, true },
{ volume::P2V4, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "The Two Who Left"sv, true },
{ volume::P2V4, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "The Shadow Falls"sv, true },
{ volume::P2V4, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "The Noble from Another Duchy"sv, true },
{ volume::P2V4, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter11_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "The Black Charm"sv, true },
{ volume::P2V4, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "The Source of Strife"sv, true },
{ volume::P2V4, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "The New Me"sv, true },
{ volume::P2V4, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Ripped Apart"sv, true },
{ volume::P2V4, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/chapter15_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/extra2.xhtml"sv, "application/xhtml+xml"sv, "Sylvester—Cleaning up the Mess"sv, true },
{ volume::P2V4, "Text/extra1.xhtml"sv, "application/xhtml+xml"sv, "Freida—A Visit to the Noble’s Quarter"sv, true },
{ volume::P2V4, "Text/extra3.xhtml"sv, "application/xhtml+xml"sv, "Arno—Fran and I"sv, true },
{ volume::P2V4, "Text/extra4.xhtml"sv, "application/xhtml+xml"sv, "Benno—Maybe Lessen the Workload"sv, true },
{ volume::FB1, "Text/temple.xhtml"sv, "application/xhtml+xml"sv, "Temple Tour by Miya Kazuki"sv, true },
{ volume::FB1, "Text/24.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::FB1, "Text/temple_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::FB1, "Images/24.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P2V4, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P2V4, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/epilogue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/extra5.xhtml"sv, "application/xhtml+xml"sv, "Fran—To Serve as the High Bishop’s Attendant"sv, true },
{ volume::P2V4, "Text/extra6.xhtml"sv, "application/xhtml+xml"sv, "Effa—Facing the Future"sv, true },
{ volume::P2V4, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P2V4, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P2V4, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P2V4, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P2V4, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P2V4, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
    });

    constexpr definition_view_t vol_1_def { std::span<const volume_definition, std::dynamic_extent>(vol_1), volume::P2V1 };
    constexpr definition_view_t vol_2_def { std::span<const volume_definition, std::dynamic_extent>(vol_2), volume::P2V2 };
    constexpr definition_view_t vol_3_def { std::span<const volume_definition, std::dynamic_extent>(vol_3), volume::P2V3 };
    constexpr definition_view_t vol_4_def { std::span<const volume_definition, std::dynamic_extent>(vol_4), volume::P2V4 };
    constexpr std::array<definition_span_view_t, 4> part_2_arr{ { vol_1_def, vol_2_def, vol_3_def, vol_4_def } };
    constexpr definition_view_t part_2_def { std::span<const definition_span_view_t, std::dynamic_extent>(part_2_arr), omnibus::PART2 };
}
