#pragma once

#include <array>
#include <span>
#include "volume_definition.h"

namespace part_3_defs
{
    using namespace std::string_view_literals;

    constexpr std::array vol_1 = std::to_array<const volume_definition>({
{ volume::P3V1, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P3V1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P3V1, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P3V1, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Extra1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Extra2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V1, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P3V1, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true }, /* Blessing at baptism ceremony */
{ volume::P3V1, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P3V1, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P3V1, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P3V1, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Examination Results and the Noble’s Quarter"sv, true },
{ volume::P3V1, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Preparing for the Baptism Ceremony"sv, true },
{ volume::P3V1, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter2_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSTEASET, "styles/style001.css"sv, "text/css"sv, std::nullopt, false },
{ volume::SSTEASET, "text/content0001.xhtml"sv, "application/xhtml+xml"sv, "Preparing the Temple's Tablewear"sv, true },

{ volume::UFTSS1, /* CHAPTER */ "text/side3.xhtml", "application/xhtml+xml", "Preparing the Temple's Tablewear", true },
{ volume::UFTSS1, /* STYLESHEET */ "styles/stylesheet.css", "text/css", std::nullopt, false },

{ volume::P3V1, "Text/extra1.xhtml"sv, "application/xhtml+xml"sv, "Being My Little Sister’s Knight"sv, true },
{ volume::P3V1, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "A Noble’s Baptism Ceremony"sv, true },
{ volume::P3V1, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Adoption"sv, true },
{ volume::P3V1, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::SSC1, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Hartmut — That Fateful Ceremony"sv, true },
{ volume::SSC1, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::P3V1, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Inauguration Ceremony"sv, true },

{ volume::SSTEASET, "text/content0002.xhtml"sv, "application/xhtml+xml"sv, "Tableware for the Temple"sv, true },

{ volume::UFTSS1, /* CHAPTER */ "text/side4.xhtml", "application/xhtml+xml", "Tableware for the Temple", true },

{ volume::P3V1, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Reunited at Last"sv, true },
{ volume::P3V1, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter6_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "How to Make Fluffy Bread"sv, true },

{ volume::FB3, "Text/40.xhtml"sv, "application/xhtml+xml"sv, "“Welcoming a Certain Someone” by Ryo Namino"sv, true },
{ volume::FB3, "Text/41.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::FB3, "Text/42.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::FB3, "Text/43.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::FB3, "Images/Image40.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::FB3, "Images/Image41.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::FB3, "Images/Image42.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::FB3, "Images/Image43.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::FB3, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::M3V1, /* CHAPTER */ "xhtml/p-194.xhtml", "application/xhtml+xml", "Story: My First Letter", true },
{ volume::M3V1, /* CHAPTER */ "xhtml/p-195.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V1, /* CHAPTER */ "xhtml/p-196.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V1, /* CHAPTER */ "xhtml/p-197.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V1, /* CHAPTER */ "xhtml/p-198.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V1, /* CHAPTER */ "xhtml/p-199.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V1, /* CHAPTER */ "xhtml/p-200.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V1, /* CHAPTER */ "xhtml/p-201.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V1, /* CHAPTER */ "xhtml/p-202.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V1, /* IMAGE */ "image/i-194.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V1, /* IMAGE */ "image/i-195.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V1, /* IMAGE */ "image/i-196.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V1, /* IMAGE */ "image/i-197.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V1, /* IMAGE */ "image/i-198.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V1, /* IMAGE */ "image/i-199.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V1, /* IMAGE */ "image/i-200.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V1, /* IMAGE */ "image/i-201.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V1, /* IMAGE */ "image/i-202.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V1, /* STYLESHEET */ "style/fixed-layout.css", "text/css", std::nullopt, false },

{ volume::P3V1, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Starbind Ceremony in the Lower City"sv, true },
{ volume::P3V1, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "The Archduke’s Castle"sv, true },
{ volume::SSC1, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Rihyarda — My New Lady"sv, true },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P3V1, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Starbind Ceremony in the Noble’s Quarter"sv, true },
{ volume::P3V1, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "The Archduke and the Italian Restaurant"sv, true },
{ volume::P3V1, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Making a Monastery"sv, true },
{ volume::P3V1, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::FB4, /* CHAPTER */ "Text/47.xhtml", "application/xhtml+xml", "“Business Trips are Tough” by Ryo Namino", true },
{ volume::FB4, /* CHAPTER */ "Text/48.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::FB4, /* CHAPTER */ "Text/49.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::FB4, /* CHAPTER */ "Text/50.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::FB4, /* IMAGE */ "Images/Image47.jpg", "image/jpeg", std::nullopt, false },
{ volume::FB4, /* IMAGE */ "Images/Image48.jpg", "image/jpeg", std::nullopt, false },
{ volume::FB4, /* IMAGE */ "Images/Image49.jpg", "image/jpeg", std::nullopt, false },
{ volume::FB4, /* IMAGE */ "Images/Image50.jpg", "image/jpeg", std::nullopt, false },
{ volume::FB4, /* STYLESHEET */ "Styles/stylesheet.css", "text/css", std::nullopt, false },

{ volume::P3V1, "Text/extra2.xhtml"sv, "application/xhtml+xml"sv, "One Stressed-Out Chef"sv, true },

{ volume::M3V2, /* CHAPTER */ "xhtml/p-155.xhtml", "application/xhtml+xml", "Extra: Benno and Gustav's Suffering", true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-156.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-157.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-158.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* STYLESHEET */ "style/fixed-layout.css", "text/css", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-155.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-156.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-157.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-158.jpg", "image/jpeg", std::nullopt, false },

{ volume::P3V1, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "How to Gather Donations"sv, true },
{ volume::P3V1, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "My First Magic Training Regimen"sv, true },

{ volume::M3V2, /* CHAPTER */ "xhtml/p-160.xhtml", "application/xhtml+xml", "Changes at Home", true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-161.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-162.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-163.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-164.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-165.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-166.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-167.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* CHAPTER */ "xhtml/p-168.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::M3V2, /* IMAGE */ "image/i-160.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-161.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-162.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-163.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-164.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-165.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-166.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-167.jpg", "image/jpeg", std::nullopt, false },
{ volume::M3V2, /* IMAGE */ "image/i-168.jpg", "image/jpeg", std::nullopt, false },

{ volume::P3V1, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Working Toward Wax Stencils"sv, true },
{ volume::P3V1, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "An Illustration of Ferdinand"sv, true },
{ volume::P3V1, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Johann and Zack"sv, true },
{ volume::P3V1, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter17_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Elvira and Lamprecht Attack"sv, true },
{ volume::P3V1, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "Finishing My Highbeast and the Wax Stencils"sv, true },
{ volume::P3V1, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter19_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "The Harspiel Concert"sv, true },
{ volume::P3V1, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P3V1, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/epilogue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::SSC1, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Christel — A Tea Party with My Older Sister"sv, true },

{ volume::P3V1, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P3V1, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P3V1, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/poll1.xhtml"sv, "application/xhtml+xml"sv, "Character Poll"sv, true },
{ volume::P3V1, "Text/poll2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P3V1, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V1, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P3V1, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
    });


    constexpr std::array vol_2 = std::to_array<const volume_definition>({
{ volume::P3V2, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P3V2, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P3V2, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P3V2, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V2, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P3V2, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true }, /* Dyeing ruelle */
{ volume::P3V2, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P3V2, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P3V2, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P3V2, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Discussing the Harvest Festival"sv, true },
{ volume::P3V2, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Hasse’s Monastery"sv, true },
{ volume::P3V2, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "The New Orphans"sv, true },
{ volume::P3V2, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter3_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "The Orphan’s Treatment and Investigating the City"sv, true },
{ volume::P3V2, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "The Monastery’s Barrier"sv, true },
{ volume::P3V2, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "A New Task and Winter Preparations"sv, true },
{ volume::P3V2, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter6_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Opening the Italian Restaurant"sv, true },
{ volume::P3V2, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Discussing How to Improve Hasse"sv, true },
{ volume::P3V2, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Switching Places"sv, true },
{ volume::P3V2, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter9_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/extra1.xhtml"sv, "application/xhtml+xml"sv, "Wilfried’s Day as the High Bishop"sv, true },
{ volume::P3V2, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/extra1_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/extra3.xhtml"sv, "application/xhtml+xml"sv, "Justus’s Grand Lower City Infiltration"sv, true },
{ volume::P3V2, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Preparing for the Harvest Festival"sv, true },
{ volume::P3V2, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Hasse’s Contract"sv, true },
{ volume::P3V2, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Starting Merchant Activities"sv, true },
{ volume::P3V2, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Hasse’s Harvest Festival"sv, true },
{ volume::P3V2, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "The Harvest Festival"sv, true },
{ volume::P3V2, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "The Night of Schutzaria"sv, true },
{ volume::P3V2, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter15_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Aftermath"sv, true },
{ volume::P3V2, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/extra2.xhtml"sv, "application/xhtml+xml"sv, "Hasse’s Orphans"sv, true },
{ volume::P3V2, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "My Winter Preparations"sv, true },
{ volume::P3V2, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },

{ volume::P3V2, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P3V2, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P3V2, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::UFTSS1, /* STYLESHEET */ "styles/stylesheet.css", "text/css", std::nullopt, false },
{ volume::UFTSS1, /* TOBOOKS_MANGA */ "text/12.xhtml", "application/xhtml+xml", "TOBooks Manga", true },
{ volume::UFTSS1, /* IMAGE */ "images/P3V5_ToBooksBonus.png", "image/png", std::nullopt, false },

{ volume::P3V2, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P3V2, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V2, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P3V2, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });


constexpr std::array vol_3 = std::to_array<const volume_definition>({
{ volume::P3V3, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P3V3, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P3V3, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P3V3, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V3, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P3V3, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true }, /* Singing at Goddess's bath */
{ volume::P3V3, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true }, /* Using Liedenshaft's spear */
{ volume::P3V3, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P3V3, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P3V3, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P3V3, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Ingo and Improving the Printing Press"sv, true },
{ volume::P3V3, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "The Gathering of the Gutenbergs"sv, true },
{ volume::P3V3, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter2_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/extra2.xhtml"sv, "application/xhtml+xml"sv, "The High Bishop’s Exclusive Business"sv, true },
{ volume::P3V3, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "The Start of Winter Socializing"sv, true },
{ volume::P3V3, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "The Baptism Ceremony and Our Winter Debut"sv, true },
{ volume::P3V3, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "A Class for Kids"sv, true },
{ volume::P3V3, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter5_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "A Tea Party"sv, true },
{ volume::P3V3, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "The Dedication Ritual (Take Two)"sv, true },
{ volume::P3V3, "Text/extra1.xhtml"sv, "application/xhtml+xml"sv, "Winter Debut and the Playroom"sv, true },
{ volume::P3V3, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Gathering the Winter Ingredient"sv, true },
{ volume::P3V3, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Fighting the Schnesturm"sv, true },
{ volume::P3V3, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter9_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "To the End of Winter"sv, true },
{ volume::P3V3, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Selling the Materials"sv, true },
{ volume::P3V3, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Angelica and the Coming of Spring"sv, true },
{ volume::P3V3, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Upcoming Spring Prayer"sv, true },
{ volume::P3V3, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Hasse’s Punishment"sv, true },
{ volume::P3V3, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "The Door of Judgment"sv, true },
{ volume::P3V3, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "The Execution"sv, true },
{ volume::P3V3, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "The Spring Ingredient and Discussing Spring Prayer"sv, true },
{ volume::P3V3, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "The Goddesses’ Bath"sv, true },
{ volume::P3V3, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter18_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "The Night of Flutrane"sv, true },
{ volume::P3V3, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "The End of Spring Prayer"sv, true },
{ volume::P3V3, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/chapter20_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::SSC1, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Eckhart — Travel Tales for Justus"sv, true },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P3V3, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },

{ volume::SSC1, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Lamprecht — Where My Path Leads"sv, true },
{ volume::SSC1, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::P3V3, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P3V3, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P3V3, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, "Jureve Ingredients"sv, true },
{ volume::P3V3, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P3V3, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V3, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P3V3, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },

        });


constexpr std::array vol_4 = std::to_array<const volume_definition>({
{ volume::P3V4, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P3V4, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P3V4, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P3V4, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V4, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P3V4, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P3V4, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P3V4, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P3V4, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P3V4, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "A New Dress"sv, true },
{ volume::P3V4, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "The New Printing Press’s Trial Run"sv, true },
{ volume::P3V4, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter2_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Benno’s Request"sv, true },
{ volume::P3V4, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Staying Home During the Archduke Conference"sv, true },
{ volume::P3V4, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Payment and Unveiling the Dress"sv, true },
{ volume::P3V4, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Angelica’s Manablade"sv, true },
{ volume::P3V4, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter6_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::SSC1, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Wilfried — Time with My Siblings"sv, true },
{ volume::SSC1, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P3V4, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Let’s Print More Stuff"sv, true },
{ volume::P3V4, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Meeting with the Plantin Company"sv, true },
{ volume::P3V4, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "The Archducal Couple Returns"sv, true },
{ volume::P3V4, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "The Dress Debut and Ferdinand’s Return"sv, true },
{ volume::P3V4, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Lunch Meeting and Business Day"sv, true },
{ volume::P3V4, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Heading to Illgner"sv, true },
{ volume::P3V4, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Illgner’s Brigitte"sv, true },
{ volume::P3V4, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "Damuel’s Proposal"sv, true },
{ volume::P3V4, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter21_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Mount Lohenberg"sv, true },
{ volume::P3V4, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "The Riesefalke Egg"sv, true },
{ volume::P3V4, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter15_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Hand Pumps"sv, true },
{ volume::P3V4, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Georgine’s Visit"sv, true },
{ volume::P3V4, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter17_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Dirk’s Mana and Submission Contract"sv, true },
{ volume::P3V4, "Text/chapter22.xhtml"sv, "application/xhtml+xml"sv, "Staying in Illgner"sv, true },
{ volume::P3V4, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "Georgine Departs"sv, true },
{ volume::P3V4, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Tea Party"sv, true },
{ volume::P3V4, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P3V4, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P3V4, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P3V4, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, "Jureve Ingredients"sv, true },
{ volume::P3V4, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P3V4, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V4, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P3V4, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });

constexpr std::array vol_5 = std::to_array<const volume_definition>({
{ volume::P3V5, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P3V5, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P3V5, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P3V5, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P3V5, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P3V5, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true }, /* In the juerve */
{ volume::P3V5, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P3V5, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P3V5, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P3V5, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "The New Orphans and Operation Grimm"sv, true },
{ volume::P3V5, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Hasse and the Gray Priests"sv, true },
{ volume::P3V5, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Ruelle Gathering (Take Two)"sv, true },
{ volume::P3V5, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Damuel’s Growth"sv, true },
{ volume::P3V5, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Conditions for Compressing Mana"sv, true },
{ volume::P3V5, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Illgner’s Harvest Festival"sv, true },
{ volume::P3V5, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "My First-Ever Little Sister"sv, true },
{ volume::P3V5, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Wilfried’s Actions"sv, true },
{ volume::P3V5, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Wilfried’s Punishment"sv, true },
{ volume::FB2, "Text/side6.xhtml"sv, "application/xhtml+xml"sv, "Feelings of Panic"sv, true },
{ volume::FB2, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P3V5, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "The Jureve and Mana Compression"sv, true },
{ volume::P3V5, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Charlotte’s Baptism Ceremony"sv, true },
{ volume::P3V5, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Kidnapped Daughter"sv, true },
{ volume::P3V5, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Rescue"sv, true },
{ volume::P3V5, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::SSC1, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Cornelius — A Miserable Morning Full of Regret"sv, true },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P3V5, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Grandfather on the Day of the Baptism"sv, true },

{ volume::SSC1, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Cornelius — To Protect My Little Sister"sv, true },
{ volume::SSC1, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Text/chapter14_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::P3V5, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "In Place of My Older Sister"sv, true },
{ volume::P3V5, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Two Marriages"sv, true },
{ volume::P3V5, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "The Laynoble Guard Knight"sv, true },
{ volume::P3V5, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "One Handful of a Chef"sv, true },
{ volume::P3V5, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "No Rest for Us"sv, true },
{ volume::P3V5, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter18_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter18_2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "Meanwhile at the Temple"sv, true },
{ volume::P3V5, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter19_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "And So, the Future"sv, true },
{ volume::P3V5, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P3V5, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P3V5, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P3V5, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, "Jureve Ingredients"sv, true },
{ volume::P3V5, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P3V5, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P3V5, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P3V5, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });

    constexpr definition_view_t vol_1_def { std::span<const volume_definition, std::dynamic_extent>(vol_1), volume::P3V1 };
    constexpr definition_view_t vol_2_def { std::span<const volume_definition, std::dynamic_extent>(vol_2), volume::P3V2 };
    constexpr definition_view_t vol_3_def { std::span<const volume_definition, std::dynamic_extent>(vol_3), volume::P3V3 };
    constexpr definition_view_t vol_4_def { std::span<const volume_definition, std::dynamic_extent>(vol_4), volume::P3V4 };
    constexpr definition_view_t vol_5_def { std::span<const volume_definition, std::dynamic_extent>(vol_5), volume::P3V5 };
    constexpr std::array<definition_span_view_t, 5> part_3_arr{ { vol_1_def, vol_2_def, vol_3_def, vol_4_def, vol_5_def } };
    constexpr definition_view_t part_3_def { std::span<const definition_span_view_t, std::dynamic_extent>(part_3_arr), omnibus::PART3 };
}
