#pragma once

#include <array>
#include <span>
#include "volume_definition.h"

namespace part_4_defs
{
    using namespace std::string_view_literals;

    constexpr std::array vol_1 = std::to_array<volume_definition>({
{ volume::P4V1, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P4V1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V1, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P4V1, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Poll1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Poll2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V1, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P4V1, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P4V1, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P4V1, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P4V1, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Just Call Me Urashima Taro"sv, true },

{ volume::P4V1, "Text/chapter24.xhtml"sv, "application/xhtml+xml"sv, "Myne Awakes"sv, true },
{ volume::P4V1, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter24_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Moving to the Castle"sv, true },

{ volume::SSC1, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Hirschur — Special Accommodations"sv, true },
{ volume::SSC1, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P4V1, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Dinnertime"sv, true },
{ volume::P4V1, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter3_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Cramming and Preparations"sv, true },

{ volume::FB3, "Text/45.xhtml"sv, "application/xhtml+xml"sv, "Yurgenschmidt Duchies"sv, true },
{ volume::FB3, "Images/Image45.jpg"sv, "image/jpeg"sv, std::nullopt, false },

{ volume::P4V1, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "The Gifting Ceremony"sv, true },
{ volume::P4V1, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "The Winter Playroom and Our Departure"sv, true },
{ volume::P4V1, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "My Retainers and Entering the Dormitory"sv, true },
{ volume::P4V1, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "The Better Grades Committee"sv, true },
{ volume::P4V1, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::FB2, "Text/side7.xhtml"sv, "application/xhtml+xml"sv, "The Start of Life as a Retainer"sv, true },
{ volume::FB2, "Text/3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::FB2, "Text/side7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::FB2, "Images/Image3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::FB2, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V1, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "The Advancement Ceremony and Fellowship Gatherings"sv, true },
{ volume::P4V1, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Royalty and Nobles from Other Duchies"sv, true },
{ volume::P4V1, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Math, Theology, and Controlling Mana"sv, true },
{ volume::P4V1, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "History, Geography, and Music"sv, true },
{ volume::P4V1, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Mana Compression and Creating a Highbeast"sv, true },
{ volume::P4V1, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "The Fourth Step of Mana Compression"sv, true },
{ volume::P4V1, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Registering at the Library"sv, true },
{ volume::P4V1, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter15_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Schwartz and Weiss"sv, true },
{ volume::P4V1, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Court Etiquette and Hirschur’s Visit"sv, true },
{ volume::P4V1, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Schtappe Acquisition"sv, true },
{ volume::P4V1, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter18_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "My First Earthday"sv, true },
{ volume::P4V1, "Text/chapter23.xhtml"sv, "application/xhtml+xml"sv, "A Productive Earthday"sv, true },
{ volume::P4V1, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Dedication Whirl"sv, true },
{ volume::P4V1, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter20_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "Passing Highbeast Creation"sv, true },

{ volume::FB3, "Text/side.xhtml"sv, "application/xhtml+xml"sv, "A Secret Tour of the Library"sv, true },
{ volume::FB3, "Text/map.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::FB3, "Text/side_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::FB3, "Images/map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::FB3, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },


{ volume::P4V1, "Text/chapter22.xhtml"sv, "application/xhtml+xml"sv, "Schtappe Fundamentals"sv, true },
{ volume::P4V1, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/chapter22_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P4V1, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/epilogue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P4V1, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P4V1, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P4V1, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P4V1, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/poll1.xhtml"sv, "application/xhtml+xml"sv, "Character Poll"sv, true },
{ volume::P4V1, "Text/poll2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P4V1, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V1, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P4V1, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
    });


    constexpr std::array vol_2 = std::to_array<volume_definition>({
{ volume::P4V2, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P4V2, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V2, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P4V2, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P4V2, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P4V2, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P4V2, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P4V2, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Meeting for the Tea Party"sv, true },
{ volume::P4V2, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Onward to the Library"sv, true },
{ volume::P4V2, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter2_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "I Want to Found the Library Committee"sv, true },

{ volume::SSC1, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Roderick — She Who Saved My Heart"sv, true },
{ volume::SSC1, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P4V2, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Preparing a Tea Party for Solange"sv, true },
{ volume::P4V2, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "My First Tea Party at the Royal Academy"sv, true },
{ volume::P4V2, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter5_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Roderick — One Day in the Royal Academy"sv, true },
{ volume::RA1, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter2_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::RA1, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::RA1, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V2, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Tea Party with the Music Professors"sv, true },
{ volume::P4V2, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter6_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Measuring Schwartz and Weiss"sv, true },
{ volume::P4V2, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "The Battle for Schwartz and Weiss"sv, true },
{ volume::P4V2, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Treasure-Stealing Ditter"sv, true },
{ volume::P4V2, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter9_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "The Prince’s Summons"sv, true },
{ volume::RA1, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Hannelore — Careless Mumbles Lead to Ditter"sv, true },
{ volume::RA1, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter3_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Rauffen — Wondrous Ditter"sv, true },
{ volume::RA1, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Cornelius — As a Guard Knight and a Brother"sv, true },
{ volume::RA1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },


{ volume::P4V2, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Rihyarda’s Wrath"sv, true },
{ volume::P4V2, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter11_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Traugott’s Thoughts"sv, true },
{ volume::P4V2, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "A Tea Party with Eglantine"sv, true },
{ volume::P4V2, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Reporting to the Prince"sv, true },
{ volume::P4V2, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter14_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Honest Courting"sv, true },
{ volume::RA1, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Wilfried — An Inelegant Time at the Royal Academy"sv, true },
{ volume::P4V2, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "An Order to Return to Ehrenfest"sv, true },
{ volume::P4V2, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter15_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Interrogation"sv, true },
{ volume::P4V2, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Judithe — A Guard Knight Always Left Behind"sv, true },
{ volume::P4V2, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Returning to the Temple"sv, true },
{ volume::P4V2, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Ferdinand and Hirschur’s Gifts"sv, true },
{ volume::P4V2, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "Life without One’s Lady"sv, true },
{ volume::P4V2, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "The Summoned Merchants"sv, true },
{ volume::P4V2, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P4V2, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Hannelore — Cursed with Such Unfortunate Timing"sv, true },
{ volume::P4V2, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P4V2, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P4V2, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P4V2, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P4V2, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P4V2, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V2, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P4V2, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });


    constexpr std::array vol_3 = std::to_array<volume_definition>({
{ volume::P4V3, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P4V3, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::RA1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V2, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V3, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P4V3, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::RA1, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::RA1, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::RA1, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::RA1, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::RA1, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::RA1, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::RA1, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V3, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P4V3, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P4V3, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P4V3, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P4V3, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "The Dedication Ritual and Returning to the Castle"sv, true },
{ volume::RA1, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Angelica — A Guard Knight at the Temple"sv, true },
{ volume::RA1, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Mother and Printing in Haldenzel"sv, true },
{ volume::RA1, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Wilfried — Tea Parties for Girls"sv, true },
{ volume::RA1, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Winter Socializing"sv, true },
{ volume::P4V3, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "The End of Winter and the Summoned Merchants"sv, true },
{ volume::P4V3, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Hartmut — Dunkelfelger Women"sv, true },
{ volume::RA1, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "A Place to Call Home"sv, true },
{ volume::P4V3, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter5_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "The Meeting with Giebe Haldenzel"sv, true },
{ volume::RA1, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Wilfried — Male Socializing"sv, true },
{ volume::RA1, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter11_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Returning to the Royal Academy"sv, true },
{ volume::P4V3, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSDRAMACD2, "styles/style001.css"sv, "text/css"sv, std::nullopt, false },
{ volume::SSDRAMACD2, "text/content0001.xhtml"sv, "application/xhtml+xml"sv, "A Royal Commission"sv, true },
{ volume::UFTSS1, /* STYLESHEET */ "styles/stylesheet.css", "text/css", std::nullopt, false },
{ volume::UFTSS1, /* CHAPTER */ "text/side5.xhtml", "application/xhtml+xml", "A Royal Commission", true },

{ volume::P4V3, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "A Week of Socializing"sv, true },
{ volume::P4V3, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Justus and Preparing for the Interduchy Tournament"sv, true },
{ volume::P4V3, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter9_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Traugott — A Worse Punishment than Expected"sv, true },
{ volume::RA1, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Wilfried — Uncle’s Retainer"sv, true },
{ volume::P4V3, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Meeting with the Prince"sv, true },
{ volume::P4V3, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "The Tea Party for All Duchies"sv, true },
{ volume::P4V3, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter11_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Hannelore — Ehrenfest’s Tea Party"sv, true },
{ volume::RA1, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Ortwin — The Drewanchel Siblings"sv, true },
{ volume::RA1, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::RA1, "Text/chapter15_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Interduchy Tournament"sv, true },
{ volume::P4V3, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Angelica’s Graduation Ceremony"sv, true },
{ volume::P4V3, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter22.xhtml"sv, "application/xhtml+xml"sv, "The Blessing at the Graduation Ceremony"sv, true },
{ volume::P4V3, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Year One: Complete"sv, true },
{ volume::RA1, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Hannelore — Ehrenfest’s Books"sv, true },
{ volume::P4V3, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Buying Information and the Mana Compression Lecture"sv, true },

{ volume::SSC1, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Philine — Coming Home from the Royal Academy"sv, true },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P4V3, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Philine’s Family Circumstances"sv, true },
{ volume::P4V3, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::RA1, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Solange — Prologue"sv, true },

{ volume::P4V3, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Taking Konrad to the Temple"sv, true },

{ volume::SSC1, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Philine — My Knight in Shining Armor"sv, true },

{ volume::P4V3, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "The Book Fair and the Follow-Up Meeting"sv, true },
{ volume::P4V3, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "A Promise"sv, true },
{ volume::P4V3, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter19_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "The Passage of Time and a New Promise"sv, true },
{ volume::RA1, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Solange — Closed-Stack Archives and the Old Diaries"sv, true },
{ volume::RA1, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Ferdinand and I"sv, true },
{ volume::P4V3, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/chapter20_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P4V3, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P4V3, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P4V3, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P4V3, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P4V3, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P4V3, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V3, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P4V3, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });

    constexpr std::array vol_4 = std::to_array<volume_definition>({
{ volume::P4V4, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P4V4, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V4, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P4V4, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V4, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P4V4, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P4V4, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P4V4, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P4V4, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "The Feast Celebrating Spring"sv, true },

{ volume::SSC1, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "Charlotte — A New Step Forward"sv, true },
{ volume::SSC1, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Text/chapter19_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P4V4, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Meeting the Scholars"sv, true },
{ volume::P4V4, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Life in the Temple"sv, true },
{ volume::P4V4, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter3_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::SSC1, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Charlotte — My Task"sv, true },

{ volume::P4V4, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Schwartz’s and Weiss’s Outfits"sv, true },
{ volume::P4V4, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Magic Ink"sv, true },
{ volume::P4V4, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter5_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Request for the Gilberta Company"sv, true },
{ volume::P4V4, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter6_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Another Gathering of the Gutenbergs"sv, true },
{ volume::P4V4, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Disappearing Ink and Returning to the Castle"sv, true },
{ volume::P4V4, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "The Archduke Conference Approaches"sv, true },
{ volume::P4V4, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Spring Prayer in the Central District"sv, true },
{ volume::P4V4, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Haldenzel’s Craftspeople"sv, true },
{ volume::P4V4, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Haldenzel’s Spring Prayer"sv, true },
{ volume::P4V4, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "The Miracle of Haldenzel"sv, true },
{ volume::P4V4, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Entwickeln"sv, true },
{ volume::P4V4, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Preventing Destructive Reconstruction"sv, true },
{ volume::P4V4, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Left at Home"sv, true },
{ volume::P4V4, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter14_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Report on the Archduke Conference"sv, true },
{ volume::P4V4, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "A More Private Meeting"sv, true },
{ volume::P4V4, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P4V4, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P4V4, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P4V4, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P4V4, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P4V4, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P4V4, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V4, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P4V4, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });


    constexpr std::array vol_5 = std::to_array<volume_definition>({
{ volume::P4V5, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P4V5, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V5, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P4V5, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Images/Tree.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V5, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P4V5, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P4V5, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P4V5, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P4V5, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Apprentices and the Temple"sv, true },
{ volume::P4V5, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "A Discussion with the Lower City"sv, true },

{ volume::SSC1, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "Philine — I Serve Lady Rozemyne"sv, true },
{ volume::SSC1, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },

{ volume::P4V5, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Going to the Italian Restaurant"sv, true },
{ volume::P4V5, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Evolved Cooking"sv, true },
{ volume::P4V5, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Visiting Groschel and the Starbind Ceremony"sv, true },
{ volume::P4V5, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "My Brother Lamprecht’s Wedding"sv, true },
{ volume::P4V5, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "The Wedding on the Border"sv, true },
{ volume::P4V5, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "Staying Home at the Castle"sv, true },
{ volume::P4V5, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Pre-Meeting for the Dyeing Competition"sv, true },
{ volume::P4V5, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "The Dyeing Competition"sv, true },
{ volume::P4V5, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter9_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "The Road to Exclusive Business"sv, true },
{ volume::P4V5, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter21_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Reaching a Crossroads"sv, true },
{ volume::P4V5, "Text/tree.xhtml"sv, "application/xhtml+xml"sv, "Family Tree"sv, true }, // Family Tree for "Reaching a Crossroads"
{ volume::P4V5, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Post-Competition and the Harvest Festival"sv, true },
{ volume::P4V5, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Groschel and the Harvest Festival"sv, true },
{ volume::P4V5, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter11_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Groschel Nobles and the Printing Industry"sv, true },
{ volume::P4V5, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "The Library Plan and Completed Outfits"sv, true },
{ volume::P4V5, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "The Start of Winter Socializing (Second Year)"sv, true },
{ volume::P4V5, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter14_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Leaving for the Royal Academy"sv, true },
{ volume::P4V5, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Fealty and the Dormitory"sv, true },
{ volume::P4V5, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Hirschur’s Visit and the Advancement Ceremony"sv, true },
{ volume::P4V5, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "The Second-Year Fellowship Gathering"sv, true },
{ volume::P4V5, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/chapter18_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V5, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P4V5, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P4V5, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P4V5, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P4V5, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P4V5, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::SSC1, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::SSC1, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },

{ volume::P4V5, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P4V5, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },

{ volume::SSC1, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::SSC1, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::SSC1, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSC1, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::SSC1, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },

{ volume::P4V5, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P4V5, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });

    constexpr std::array vol_6 = std::to_array<volume_definition>({
        { volume::P4V6, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P4V6, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V6, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P4V6, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V6, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P4V6, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P4V6, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P4V6, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P4V6, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "The Beginning of Classes"sv, true },
{ volume::P4V6, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter1_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Library Committee Member Get!"sv, true },
{ volume::P4V6, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Registering for the Library and Supplying Mana"sv, true },
{ volume::P4V6, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter3_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Schtappe Transformation"sv, true },
{ volume::P4V6, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Strengthening the Weapon"sv, true },
{ volume::P4V6, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter5_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Everyone Passing on the First Day"sv, true },
{ volume::P4V6, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Brewing and Recovery Potions"sv, true },
{ volume::P4V6, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Roderick’s Wish"sv, true },
{ volume::P4V6, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Dedication Whirling and Ordonnanz Brewing"sv, true },
{ volume::P4V6, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "The Music Tea Party and the End of Classes"sv, true },
{ volume::P4V6, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "I Want to Do Library Committee Work"sv, true },
{ volume::P4V6, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Professor Hirschur’s Laboratory"sv, true },
{ volume::P4V6, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter12_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Professor Hirschur’s Disciple"sv, true },

{ volume::SSTOBBONUS1, "styles/style001.css"sv, "text/css"sv, std::nullopt, false },
{ volume::SSTOBBONUS1, "text/content0001.xhtml"sv, "application/xhtml+xml"sv, "The Relationship Between My Duchy And My Mentor-Disciple Bond"sv, true },
{ volume::UFTSS1, /* STYLESHEET */ "styles/stylesheet.css", "text/css", std::nullopt, false },
{ volume::UFTSS1, /* CHAPTER */ "text/side6.xhtml", "application/xhtml+xml", "The Relationship Between My Duchy And My Mentor-Disciple Bond", true },

{ volume::P4V6, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Changing Schwartz and Weiss"sv, true },
{ volume::P4V6, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter14_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Gathering Feystones"sv, true },
{ volume::P4V6, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Unshakeable Resolve"sv, true },
{ volume::P4V6, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Hunting a Ternisbefallen"sv, true },
{ volume::P4V6, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Healing and Reinforcements"sv, true },
{ volume::P4V6, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter17_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "A Tea Party of Bookworms"sv, true },
{ volume::P4V6, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter18_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "Investigating the Former Werkestock Dormitory"sv, true },
{ volume::P4V6, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "Going Home"sv, true },
{ volume::P4V6, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P4V6, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/epilogue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P4V6, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P4V6, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P4V6, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P4V6, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P4V6, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V6, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P4V6, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
            });

    constexpr std::array vol_7 = std::to_array<volume_definition>({
        { volume::P4V7, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P4V7, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V7, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P4V7, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V7, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P4V7, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P4V7, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P4V7, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P4V7, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Post-Return Discussion"sv, true },
{ volume::P4V7, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Rendezvous at the Gazebo"sv, true },
{ volume::P4V7, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "Dinner and a Tea Party"sv, true },

{ volume::FB4, /* CHAPTER */ "Text/side.xhtml", "application/xhtml+xml", "Mana-Sensing and Marriage Partners", true },
{ volume::FB4, /* STYLESHEET */ "Styles/stylesheet.css", "text/css", std::nullopt, false },


{ volume::P4V7, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Sylvester’s Order"sv, true },
{ volume::P4V7, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Investigating the Bible"sv, true },
{ volume::P4V7, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Winter Life in the Temple"sv, true },
{ volume::P4V7, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter5_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "This and That in the Castle"sv, true },
{ volume::P4V7, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "Speaking at the Gazebo"sv, true },
{ volume::P4V7, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "The Ternisbefallen Inquiry"sv, true },
{ volume::P4V7, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "The Bible Inspection Meeting"sv, true },
{ volume::P4V7, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Planning for the Tea Party"sv, true },
{ volume::P4V7, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "The Tea Party with Drewanchel"sv, true },
{ volume::P4V7, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Roderick’s Name-Swearing"sv, true },
{ volume::P4V7, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter11_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::SSDRAMACD3, "styles/style001.css"sv, "text/css"sv, std::nullopt, false },
{ volume::SSDRAMACD3, "text/content0001.xhtml"sv, "application/xhtml+xml"sv, "Witnessing the Name Swearing"sv, true },
{ volume::UFTSS1, /* STYLESHEET */ "styles/stylesheet.css", "text/css", std::nullopt, false },
{ volume::UFTSS1, /* CHAPTER */ "text/side7.xhtml", "application/xhtml+xml", "Witnessing the Name Swearing", true },

{ volume::P4V7, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Interduchy Tournament (Second Year)"sv, true },
{ volume::P4V7, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "The Ditter Match"sv, true },
{ volume::P4V7, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Ditter at the Interduchy Tournament"sv, true },
{ volume::P4V7, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Hartmut’s Marriage Partner"sv, true },
{ volume::P4V7, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter15_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Unforeseen Consequences"sv, true },
{ volume::P4V7, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter16_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "The Graduation Ceremony"sv, true },
{ volume::P4V7, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "The Library and Going Home"sv, true },
{ volume::P4V7, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/chapter18_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P4V7, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P4V7, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P4V7, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::UFTSS1, /* RECORDING_REPORT */ "text/5.xhtml", "application/xhtml+xml", "Drama CD Recording Report", true },
{ volume::UFTSS1, /* RECORDING_REPORT */ "text/6.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::UFTSS1, /* RECORDING_REPORT */ "text/7.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::UFTSS1, /* RECORDING_REPORT */ "text/8.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::UFTSS1, /* RECORDING_REPORT */ "text/9.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::UFTSS1, /* IMAGE */ "images/Manga_01.png", "image/png", std::nullopt, false },
{ volume::UFTSS1, /* IMAGE */ "images/Manga_02.png", "image/png", std::nullopt, false },
{ volume::UFTSS1, /* IMAGE */ "images/Manga_03.png", "image/png", std::nullopt, false },
{ volume::UFTSS1, /* IMAGE */ "images/Manga_04.png", "image/png", std::nullopt, false },
{ volume::UFTSS1, /* IMAGE */ "images/Manga_05.png", "image/png", std::nullopt, false },

{ volume::P4V7, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P4V7, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P4V7, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V7, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P4V7, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
        });

    constexpr std::array vol_8 = std::to_array<volume_definition>({
            { volume::P4V8, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P4V8, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V8, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P4V8, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V8, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P4V8, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P4V8, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P4V8, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P4V8, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "The Return and a Dinner Meeting"sv, true },
{ volume::P4V8, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "The Winter Playroom and Judithe’s Younger Brother"sv, true },
{ volume::P4V8, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter2_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "Discussion with the Plantin Company"sv, true },
{ volume::P4V8, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Melchior’s Baptism"sv, true },
{ volume::P4V8, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "Ahrensbach’s Fish Cuisine"sv, true },
{ volume::P4V8, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Returning to the Temple and the Meeting with the Gutenbergs"sv, true },
{ volume::P4V8, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter6_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Dissecting Fish"sv, true },
{ volume::P4V8, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Spring Prayer and Leaving for Leisegang"sv, true },
{ volume::P4V8, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "Giebe Leisegang"sv, true },
{ volume::P4V8, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Visiting Great-Grandfather"sv, true },
{ volume::P4V8, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Sitting Out the Archduke Conference"sv, true },
{ volume::P4V8, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter11_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "Clearing Regrets from Ten Years Ago"sv, true },
{ volume::P4V8, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "Report on the Archduke Conference (Second Year)"sv, true },
{ volume::P4V8, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "A More Private Meeting (Second Year)"sv, true },
{ volume::P4V8, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Decisions"sv, true },
{ volume::P4V8, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter14_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter22.xhtml"sv, "application/xhtml+xml"sv, "Ten Years of Change"sv, true },
{ volume::P4V8, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Successors"sv, true },
{ volume::P4V8, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Another Discussion and Making Rejuvenation Potions"sv, true },
{ volume::P4V8, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "Hartmut’s First Ceremony and Another Jureve"sv, true },
{ volume::P4V8, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter17_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "A Visitor and Counterstrategies"sv, true },
{ volume::P4V8, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "The Welcoming Feast"sv, true },
{ volume::P4V8, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Ferdinand’s Estate"sv, true },
{ volume::P4V8, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/chapter20_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P4V8, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P4V8, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P4V8, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::P4V8, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P4V8, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P4V8, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V8, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P4V8, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
    });

    constexpr std::array vol_9 = std::to_array<volume_definition>({
{ volume::P4V9, "toc.ncx"sv, "application/x-dtbncx+xml"sv, std::nullopt, false },
{ volume::P4V9, "Styles/stylesheet.css"sv, "text/css"sv, std::nullopt, false },
{ volume::P4V9, "Images/jnovelclubCMYK.png"sv, "image/png"sv, std::nullopt, false },
{ volume::P4V9, "Images/Bonus1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Bonus2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Characters1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Characters2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Characters3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Cover.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/FrontMatter1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/FrontMatter2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Insert1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Insert2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Insert3.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Insert4.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Insert5.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Insert6.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Insert7.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Insert8.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Insert9.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Insert10.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Map.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Map2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Manga1.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Images/Manga2.jpg"sv, "image/jpeg"sv, std::nullopt, false },
{ volume::P4V9, "Text/cover.xhtml"sv, "application/xhtml+xml"sv, "Cover"sv, true },
{ volume::P4V9, "Text/frontmatter1.xhtml"sv, "application/xhtml+xml"sv, "Color Illustrations"sv, true },
{ volume::P4V9, "Text/frontmatter2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/characters1.xhtml"sv, "application/xhtml+xml"sv, "Characters"sv, true },
{ volume::P4V9, "Text/characters2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/characters3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/toc.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/prologue.xhtml"sv, "application/xhtml+xml"sv, "Prologue"sv, true },
{ volume::P4V9, "Text/insert1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/prologue_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter1.xhtml"sv, "application/xhtml+xml"sv, "Rewarding Hartmut’s Hard Work"sv, true },
{ volume::P4V9, "Text/insert2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter1_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter2.xhtml"sv, "application/xhtml+xml"sv, "The Harvest Festival and a Meeting"sv, true },
{ volume::SSDRAMACD4, "styles/style001.css"sv, "text/css"sv, std::nullopt, false },
{ volume::SSDRAMACD4, "text/content0001.xhtml"sv, "application/xhtml+xml"sv, "The Rainbow Feystone Hair Stick"sv, true },
{ volume::UFTSS1, /* STYLESHEET */ "styles/stylesheet.css", "text/css", std::nullopt, false },
{ volume::UFTSS1, /* CHAPTER */ "text/side8.xhtml", "application/xhtml+xml", "Side Story: Ferdinand – The Rainbow Feystone Hair Stick", true },



{ volume::P4V9, "Text/chapter3.xhtml"sv, "application/xhtml+xml"sv, "The Farewell Dinner"sv, true },
{ volume::P4V9, "Text/chapter4.xhtml"sv, "application/xhtml+xml"sv, "Farewell Gifts"sv, true },
{ volume::P4V9, "Text/insert3.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter4_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter5.xhtml"sv, "application/xhtml+xml"sv, "A Stolen Book"sv, true },
{ volume::P4V9, "Text/chapter6.xhtml"sv, "application/xhtml+xml"sv, "Commoner Testimonies"sv, true },
{ volume::P4V9, "Text/chapter7.xhtml"sv, "application/xhtml+xml"sv, "Rescue"sv, true },
{ volume::P4V9, "Text/insert4.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter7_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter8.xhtml"sv, "application/xhtml+xml"sv, "Evidence"sv, true },
{ volume::P4V9, "Text/insert5.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter8_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter9.xhtml"sv, "application/xhtml+xml"sv, "New Perspectives"sv, true },
{ volume::P4V9, "Text/chapter10.xhtml"sv, "application/xhtml+xml"sv, "Viscount Dahldolf’s Estate"sv, true },
{ volume::P4V9, "Text/insert6.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter10_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter11.xhtml"sv, "application/xhtml+xml"sv, "Finding the Book"sv, true },
{ volume::P4V9, "Text/chapter12.xhtml"sv, "application/xhtml+xml"sv, "A Change of Plans"sv, true },
{ volume::P4V9, "Text/chapter13.xhtml"sv, "application/xhtml+xml"sv, "Preparing to Leave"sv, true },
{ volume::P4V9, "Text/insert7.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter13_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter22.xhtml"sv, "application/xhtml+xml"sv, "Memories and Farewells"sv, true },
{ volume::P4V9, "Text/chapter14.xhtml"sv, "application/xhtml+xml"sv, "Separation"sv, true },
{ volume::P4V9, "Text/chapter21.xhtml"sv, "application/xhtml+xml"sv, "My Son’s Departure"sv, true },
{ volume::P4V9, "Text/epilogue.xhtml"sv, "application/xhtml+xml"sv, "Epilogue"sv, true },
{ volume::P4V9, "Text/insert8.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter15.xhtml"sv, "application/xhtml+xml"sv, "Irreplaceable"sv, true },
{ volume::P4V9, "Text/chapter16.xhtml"sv, "application/xhtml+xml"sv, "Starting Life in Ahrensbach"sv, true },
{ volume::P4V9, "Text/chapter17.xhtml"sv, "application/xhtml+xml"sv, "The Start of a Busy Winter"sv, true },
{ volume::P4V9, "Text/chapter18.xhtml"sv, "application/xhtml+xml"sv, "Out of Time"sv, true },
{ volume::P4V9, "Text/insert9.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter18_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter19.xhtml"sv, "application/xhtml+xml"sv, "The New Children"sv, true },
{ volume::P4V9, "Text/chapter20.xhtml"sv, "application/xhtml+xml"sv, "Winter Resolution"sv, true },
{ volume::P4V9, "Text/insert10.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/chapter20_1.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/map.xhtml"sv, "application/xhtml+xml"sv, "Map of Ehrenfest Duchy"sv, true },
{ volume::P4V9, "Text/map2.xhtml"sv, "application/xhtml+xml"sv, "Map of Yurgenschmidt"sv, true },
{ volume::P4V9, "Text/afterword.xhtml"sv, "application/xhtml+xml"sv, "Afterword"sv, true },
{ volume::UFTSS1, /* RECORDING_REPORT */ "text/10-1.xhtml", "application/xhtml+xml", "Drama CD Recording Report", true },
{ volume::UFTSS1, /* RECORDING_REPORT */ "text/10-2.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::UFTSS1, /* RECORDING_REPORT */ "text/10-3.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::UFTSS1, /* RECORDING_REPORT */ "text/10-4.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::UFTSS1, /* RECORDING_REPORT */ "text/10-5.xhtml", "application/xhtml+xml", std::nullopt, true },
{ volume::UFTSS1, /* IMAGE */ "images/CD4_Manga_01.png", "image/png", std::nullopt, false },
{ volume::UFTSS1, /* IMAGE */ "images/CD4_Manga_02.png", "image/png", std::nullopt, false },
{ volume::UFTSS1, /* IMAGE */ "images/CD4_Manga_03.png", "image/png", std::nullopt, false },
{ volume::UFTSS1, /* IMAGE */ "images/CD4_Manga_04.png", "image/png", std::nullopt, false },
{ volume::UFTSS1, /* IMAGE */ "images/CD4_Manga_05.png", "image/png", std::nullopt, false },

{ volume::P4V9, "Text/manga1.xhtml"sv, "application/xhtml+xml"sv, "A Comfy Life with My Family by You Shiina"sv, true },
{ volume::P4V9, "Text/manga2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/bonus1.xhtml"sv, "application/xhtml+xml"sv, "Bonus High Resolution Illustrations"sv, true },
{ volume::P4V9, "Text/bonus2.xhtml"sv, "application/xhtml+xml"sv, std::nullopt, true },
{ volume::P4V9, "Text/signup.xhtml"sv, "application/xhtml+xml"sv, "About J-Novel Club"sv, true },
{ volume::P4V9, "Text/copyright.xhtml"sv, "application/xhtml+xml"sv, "Copyright"sv, true },
    });

    constexpr definition_view_t vol_1_def { std::span<const volume_definition, std::dynamic_extent>(vol_1), volume::P4V1 };
    constexpr definition_view_t vol_2_def { std::span<const volume_definition, std::dynamic_extent>(vol_2), volume::P4V2 };
    constexpr definition_view_t vol_3_def { std::span<const volume_definition, std::dynamic_extent>(vol_3), volume::P4V3 };
    constexpr definition_view_t vol_4_def { std::span<const volume_definition, std::dynamic_extent>(vol_4), volume::P4V4 };
    constexpr definition_view_t vol_5_def { std::span<const volume_definition, std::dynamic_extent>(vol_5), volume::P4V5 };
    constexpr definition_view_t vol_6_def { std::span<const volume_definition, std::dynamic_extent>(vol_6), volume::P4V6 };
    constexpr definition_view_t vol_7_def { std::span<const volume_definition, std::dynamic_extent>(vol_7), volume::P4V7 };
    constexpr definition_view_t vol_8_def { std::span<const volume_definition, std::dynamic_extent>(vol_8), volume::P4V8 };
    constexpr definition_view_t vol_9_def { std::span<const volume_definition, std::dynamic_extent>(vol_9), volume::P4V9 };
    constexpr std::array<definition_span_view_t, 9> part_4_arr{ { vol_1_def, vol_2_def, vol_3_def, vol_4_def, vol_5_def, vol_6_def, vol_7_def, vol_8_def, vol_9_def } };
    constexpr definition_view_t part_4_def { std::span<const definition_span_view_t, std::dynamic_extent>(part_4_arr), omnibus::PART4 };
}
